For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of meters
      • POSTCreate a meter
      • GETGet a meter
      • DELDelete a meter
      • PATCHUpdate a meter
      • GETGet a file with the headers for ingesting meter events for a meter
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIMeters

Get a list of meters

GET
/v:version/meters
GET
/v:version/meters
$curl https://test.api.solvimon.com/v1/meters \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "status": "DRAFT",
10 "meter_values": [
11 {
12 "id": "string",
13 "object": {
14 "object_type": "string",
15 "id": "string",
16 "reference": "string",
17 "name": "string",
18 "description": "string",
19 "status": "DRAFT",
20 "type": "NUMBER"
21 },
22 "required": true
23 }
24 ],
25 "meter_properties": [
26 {
27 "id": "string",
28 "object": {
29 "object_type": "string",
30 "id": "string",
31 "reference": "string",
32 "name": "string",
33 "description": "string",
34 "status": "DRAFT",
35 "type": "NUMBER",
36 "enum_values": [
37 "string"
38 ]
39 },
40 "required": true
41 }
42 ]
43 }
44 ]
45}
Requires the METER.VIEW permission.
Was this page helpful?
Previous

Create a meter

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

statuses[]list of stringsOptional

Filter meters based on meter status(es)

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error